=== debian/changelog ===
gprbuild (2024.1.20231009-5~24.04) noble; urgency=medium

  * SRU: LP: #2083315: Backport changes for gnat 64bit time_t.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 02 Oct 2024 04:57:30 +0200

gprbuild (2024.1.20231009-5) unstable; urgency=medium

  * source-date-epoch: fix a typo
  * Standards-Version: 4.7.0 (no changes)
  * source-date-epoch: adapt to a private time_t
  * source-date-epoch: fix Source_Date_Time unit (nanoseconds -> seconds)
  * Patch adapting gpr to a private timeval type in libgnat
  * Patch adapting gpr to a private time_t type in libgnat

 -- Nicolas Boulenguez <nicolas@debian.org>  Thu, 02 May 2024 13:13:00 +0000

gprbuild (2024.1.20231009-4) unstable; urgency=medium

  * Reupload to unstable for the gnat-13/time_t64 transition.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 17 Mar 2024 14:50:22 +0100

gprbuild (2024.1.20231009-3) experimental; urgency=medium

  * Rebuild with dh-ada-library 9.1 and gnat versions in ada:Depends.

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 19 Dec 2023 00:50:20 +0100

gprbuild (2024.1.20231009-2) experimental; urgency=medium

  * Previous upload broke the ABI, update the SOversion in library package.

 -- Nicolas Boulenguez <nicolas@debian.org>  Wed, 25 Oct 2023 11:44:59 +0000

gprbuild (2024.1.20231009-1) experimental; urgency=medium

  * New upstream release.
  * Adapt debian/rules to new source file naming exception.

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 24 Oct 2023 21:16:13 +0000

gprbuild (2023.0.0-4) experimental; urgency=medium

  * Build in experimental with dh-ada-library >= 9 and gnat >= 13
  * Rename -dev package, now unversioned. Provide a name containing a hash.
  * Build-Depend: gnat instead of gnat-13. Break/Replace previous -devs.

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 24 Oct 2023 16:32:27 +0000
