=== debian/watch ===
version=4

# For historical reasons, DEB_VERSION_UPSTREAM starts with "20".

opts="uversionmangle=s/^/20/" \
https://github.com/AdaCore/gprbuild/tags \
(?:.*?/)?v?(\d[\d.]*)\.tar\.gz
