=== doc/Makefile ===
--- 
+++ 
@@ -46,7 +46,6 @@
 
 pdf: force
 	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/pdf
-	cp $(SOURCEDIR)/share/sphinx.sty $(BUILDDIR)/pdf
 	$(MAKE) -C $(BUILDDIR)/pdf all-pdf LATEXOPTS="-interaction=nonstopmode"
 
 txt: force
