=== debian/changelog ===
gprbuild (2025.0.0-4build1) questing; urgency=medium

  * No-change rebuild for gnat ABI, triggered by glibc 2.42.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 21 Sep 2025 14:14:44 +0200

gprbuild (2025.0.0-4) unstable; urgency=medium

  * Fix the SOURCE_DATE_EPOCH conversion.  Closes: #1100373.
  * Let tests/source-date-epoch produce more debugging info.
  * Reenable the SOURCE_DATE_EPOCH test.

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 15 Apr 2025 14:54:44 +0000

gprbuild (2025.0.0-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * To proceed with the gnat transition, mark the source-date-epoch test
    as flaky. It currently fails. Addresses: #1100373.

 -- Matthias Klose <doko@debian.org>  Sun, 23 Mar 2025 09:44:02 +0100

gprbuild (2025.0.0-3) unstable; urgency=medium

  * Reupload to unstable for the gnat-14 transition.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sat, 08 Mar 2025 21:33:02 +0100

gprbuild (2025.0.0-2) experimental; urgency=medium

  * Bump Shared Object version of the library (some profiles have changed).
  * Call gnatbind as target-gnatbind-version instead of target-gnatbind,
    which does not exist in Debian.

 -- Nicolas Boulenguez <nicolas@debian.org>  Mon, 30 Dec 2024 19:10:42 +0000

gprbuild (2025.0.0-1) experimental; urgency=medium

  * New upstream release.
  * Build with gnat-14 in experimental.
  * Reduce diff with libxmlada/debian/rules
  * Reduce diff with gnat/ada-lib-info-source-date-epoch.diff
  * source-date-epoch: also truncate in File_Stamp(String).

 -- Nicolas Boulenguez <nicolas@debian.org>  Wed, 27 Nov 2024 19:07:32 +0100
