=== debian/control ===
--- 
+++ 
@@ -8,7 +8,8 @@
 Build-Depends-Arch:
  dh-ada-library (>= 9.1),
  dh-sequence-ada-library,
- gnat (>= 13),
+ gnat,
+ gnat-14,
  libxmlada-dom-dev,
  libxmlada-input-dev,
  libxmlada-sax-dev,
@@ -27,13 +28,13 @@
  texlive-fonts-recommended,
 # fncychap.sty:
  texlive-latex-extra,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://github.com/AdaCore/gprbuild
 Vcs-Browser: https://salsa.debian.org/debian/gprbuild
 Vcs-Git: https://salsa.debian.org/debian/gprbuild.git
 
-Package: libgnatprj11
+Package: libgnatprj12
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
