=== debian/tests/control ===
Tests: archive-builder
Depends: gprbuild, gcc

Tests: ada-policy-project-with-dash-s link-with-shared gpr-wrapper
Depends: @, gnat

Tests: link-library-as-needed-z-defs
Depends: gprbuild, gnat

Tests: source-date-epoch
Depends: gprbuild, gnat

Tests: examples
Depends: gprbuild, gnat, gcc, g++, gfortran, make, gprbuild-doc

Tests: do-not-strip-minor-soversion
Depends: gprbuild, gnat, binutils
